*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family: 'Poppins', sans-serif;
}


body{
    min-height:100vh;
    background:linear-gradient(135deg, #71b7e6, #9b59b6);
    display:flex;
    flex-direction:column;
    align-items:center;
    padding:40px;
    transition:0.5s ease;
}


/* title */

#title{
    font-size:2.5rem;
    margin-bottom:35px;
    letter-spacing:1px;
}



#form{
    justify-content:center;
    align-items:center;
    margin-bottom:30px;
}

#city{
    width:40vw;
    height:7vh;
    border-radius:5px;
    border:none;
    outline:none;
    padding:0 15px;
    font-size:1.1rem;
}

#submit{
    width:10vw;
    height:7vh;
    align-items:center;
    margin-left:5px;
    border: 1px 1px solid #fff;
    background-color:#fff;
    color:#000;
    font-size:1em;
    cursor:pointer;
    margin-top:5px;
}

#submit:hover{
    background-color:#dddcdc;
}

#container{
    width:80vw;
    height:60vh;
    font-size:1.5rem;
    color:white;
    margin-bottom:30px;
    border-radius:10px;
    border:#000 solid 1px;
    overflow:hidden;
    position:relative;
    display:grid;
    grid-template-columns:1fr 1fr;
    background-image:url("images-weather/clear-sky-day.jpg");
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    box-shadow:0 5px 10px rgba(0,0,0,0.3);
}

#container::before{
    content:"";
    position:absolute;
    inset:0;
    background-color:rgba(0,0,0,0.3);
}

#Weather-display{
    position:relative;
    z-index:2;
    padding:20px;
    display:flex;
    justify-content:center;
    align-items:center;
}

#forecast{
    position:relative;
    z-index:2;
    padding:20px;
    display:flex;
    justify-content:center;
    align-items:center;
}

#weather-icon{
    font-size:5em;
    margin:20px 0;
}

#suggestion{
    font-size:1.2rem;
    color:#fff;
    margin-bottom:1em;
}